package sun.rmi.server;

import java.rmi.server.RemoteRef;
import java.io.ObjectOutput;
import java.rmi.server.RMIServerSocketFactory;
import java.rmi.server.RMIClientSocketFactory;
import sun.misc.ObjectInputFilter;
import sun.rmi.transport.LiveRef;

public class UnicastServerRef2 extends UnicastServerRef
{
    private static final long serialVersionUID = -2289703812660767614L;
    
    public UnicastServerRef2() {
    }
    
    public UnicastServerRef2(LiveRef liveRef) {
        super(liveRef);
    }
    
    public UnicastServerRef2(LiveRef liveRef, ObjectInputFilter objectInputFilter) {
        super(liveRef, objectInputFilter);
    }
    
    public UnicastServerRef2(int port, RMIClientSocketFactory csf, RMIServerSocketFactory ssf) {
        super(new LiveRef(port, csf, ssf));
    }
    
    public UnicastServerRef2(int port, RMIClientSocketFactory csf, RMIServerSocketFactory ssf, ObjectInputFilter objectInputFilter) {
        super(new LiveRef(port, csf, ssf), objectInputFilter);
    }
    
    @Override
    public String getRefClass(ObjectOutput objectOutput) {
        return "UnicastServerRef2";
    }
    
    @Override
    protected RemoteRef getClientRef() {
        return new UnicastRef2(this.ref);
    }
}
